/*=========================================================================
 *
 *  Copyright RTK Consortium
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *=========================================================================*/

#ifndef __rtkConfiguration_h
#define __rtkConfiguration_h
// This file is interpreted by cmake, to define macros based on the cmake configuration options
//

#include <itkConfigure.h>
#include <itkIntTypes.h>
namespace rtk
{
using ThreadIdType = itk::ThreadIdType;
}

/* #undef RTK_PROBE_EACH_FILTER */
/* #undef RTK_USE_CUDA */
#define RTK_BUILD_SHARED_LIBS 1
#ifndef SLAB_SIZE
#  define SLAB_SIZE 
#endif

#define RTK_BINARY_DIR "/wrkdirs/usr/ports/science/InsightToolkit/work/.build/Modules/Remote/RTK"
#define RTK_DATA_ROOT "/wrkdirs/usr/ports/science/InsightToolkit/work/.build/ExternalData/Modules/Remote/RTK/test"

/* Fix for ITK4 */
#if defined(ITK_USE_FFTWF) && !defined(USE_FFTWF)
#  define USE_FFTWF
#endif
#if defined(ITK_USE_FFTWD) && !defined(USE_FFTWD)
#  define USE_FFTWD
#endif

#define RTK_VERSION_MAJOR 2
#define RTK_VERSION_MINOR 3
#define RTK_VERSION_PATCH 0
#define RTK_VERSION_STRING "2.3"

#endif
